VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::ImportFlag::Info Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::ImportFlag::Info:

## Avaliable Methods
public method | get_description ()
public method | set_description ()
public method | set_option ()
public method | get_option ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::ImportFlag::Info` class describes an import flag supported by the deployment platform.

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::ImportFlag::Info::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. Localizable description of the import flag. LocalizableMessage#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Vcenter::Ovf::ImportFlag::Info::get_option | ( |  | ) |

Gets the value of 'option' property.

Return values

  option | - The current value of the field. The name of the import flag that is supported by the deployment platform. String#

Code:
click to view
# Number of lines of code in get_option: 4
sub get_option {
my ($self, %args) = @_;
return $self->{'option'};
}

public method Com::Vmware::Vcenter::Ovf::ImportFlag::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::ImportFlag::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{option} = $args{'option'};
$self->{description} = $args{'description'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::ImportFlag::Info');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.import_flag.info');
$self->set_binding_field('key' => 'option', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Std', 'type_name' => 'LocalizableMessage'));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::ImportFlag::Info::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. Localizable description of the import flag.

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ImportFlag::Info::set_option | ( |  | ) |

Sets the given value for 'option' property.

Parameters

  option | - New value for the field. The name of the import flag that is supported by the deployment platform.

Code:
click to view
# Number of lines of code in set_option: 5
sub set_option {
my ($self, %args) = @_;
$self->{'option'} = $args{'option'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/ImportFlag.pm